package com.base.easyfilemanager.activity.splash

import android.app.Activity
import android.content.Intent
import android.net.Uri
import android.text.SpannableString
import android.text.Spanned
import android.text.style.UnderlineSpan
import com.base.easyfilemanager.MyApplication
import com.base.easyfilemanager.databinding.ActivityLayoutSplashBinding
import com.base.easyfilemanager.helps.ConfigHelper

class PrivacyAgreementManager {


    private val binding: ActivityLayoutSplashBinding

    private val context: Activity

    private val listener: onUserPrivacyAggreementListener

    constructor(binding: ActivityLayoutSplashBinding, context: Activity, listener: onUserPrivacyAggreementListener) {
        this.binding = binding
        this.context = context
        this.listener = listener
        initView()
    }


    private fun initView() {


        val spannableString = SpannableString("Privacy Policy")
        spannableString.setSpan(
            UnderlineSpan(),
            0,
            spannableString.length,
            Spanned.SPAN_EXCLUSIVE_EXCLUSIVE
        )
        binding.idTvPrivacyPolicy.text = spannableString

        binding.idTvPrivacyPolicy.setOnClickListener {
            val intent = Intent(
                Intent.ACTION_VIEW,
                Uri.parse(ConfigHelper.privacyPolicy)
            )
            context.startActivity(intent)
        }

        var clicked = false
        binding.idTvStart.setOnClickListener {
            if (clicked) {
                return@setOnClickListener
            }
            clicked = true
            ConfigHelper.ifAgreePrivacy = true
            (context.application as MyApplication).initApp()
            listener.onAgreePrivacy()
        }
    }

    interface onUserPrivacyAggreementListener {
        fun onAgreePrivacy()
    }

}